Preston Gralla

Snow Leopard: It doesn't "just plain work"

August 28, 2009 12:53 PM EDT
Mac fans like to brag that Mac hardware and software "just plain works." But that's not quite the case with Snow Leopard, because even though it's simple to install and use, there are quite a few applications and utilities that simply won't run on it, not to mention its incompatibility with many generations of Mac hardware.

As I've written in "Snow Leopard: Which apps, utilities have been left behind?", I was unable to get some of my favorite software and utilities to work with Snow Leopard, including the NeoOffice open source office suite, Xmarks for Safari, Windows Live Sync, and others.


See Computerworld's

But that's only the tip of the iceberg. Many more applications don't run on Snow Leopard. Apple has put together a list of software that it's found to be incompatible, and some very well-know programs are on it, including Parallells Desktop, Norton AntiVirus, and others, including versions 2.1.1 and earlier of Apple's own Aperture.

There's also a Snow Leopard Compatibility wiki, which lists far more applications that are entirely or partially incompatible, including DiskWarrior, many versions of Filemaker, and plenty other software.

Beyond that, though, there's even a bigger potential issue: It won't run on Mac PowerPC-based hardware. So if you've got an Apple machine built before August 2006 when the G5 was discontinued, you're out of luck.

When Microsoft released Vista, it was heavily criticized for a variety of hardware incompatibilities, and justifiably so. Snow Leopard doesn't have nearly as many of these kinds of problems as did Vista. Still, you'd think there would be at least some kind of outcry with Snow Leopard incompatibilities. But Microsoft is continually judged by a higher standard than is Apple, so perhaps that's no surprise.